# OnnxRuntime: OrtROCMProviderOptions Struct Reference

Loading...
Searching...
No Matches
OrtROCMProviderOptions Struct Reference
Global

ROCM Provider Options. More...

`#include <onnxruntime_c_api.h>`

## Public Member Functions

| OrtROCMProviderOptions ()

## Public Attributes

int | device_id
| ROCM device Id Defaults to 0.
int | miopen_conv_exhaustive_search
| ROCM MIOpen Convolution algorithm exaustive search option. Defaults to 0 (false).
size_t | gpu_mem_limit
| ROCM memory limit (To use all possible memory pass in maximum size_t) Defaults to SIZE_MAX.
int | arena_extend_strategy
| Strategy used to grow the memory arena 0 = kNextPowerOfTwo 1 = kSameAsRequested Defaults to 0.
int | do_copy_in_default_stream
| Flag indicating if copying needs to take place on the same stream as the compute stream in the ROCM EP 0 = Use separate streams for copying and compute. 1 = Use the same stream for copying and compute. Defaults to 1. WARNING: Setting this to 0 may result in data races for some models. Please see issue #4829 for more details.
int | has_user_compute_stream
| Flag indicating if there is a user provided compute stream Defaults to 0.
void * | user_compute_stream
| User provided compute stream. If provided, please set `has_user_compute_stream` to 1.
OrtArenaCfg * | default_memory_arena_cfg
| ROCM memory arena configuration parameters.
int | tunable_op_enabled
| Enable TunableOp. Set it to 1 to enable TunableOp. Otherwise, it is disabled by default. This option can be superseded by environment variable ORT_ROCM_TUNABLE_OP_ENABLED.

## Detailed Description

ROCM Provider Options.

See also
  OrtApi::SessionOptionsAppendExecutionProvider_ROCM

## Constructor & Destructor Documentation

## OrtROCMProviderOptions()

OrtROCMProviderOptions::OrtROCMProviderOptions | ( |  | ) |

inline

## Member Data Documentation

## arena_extend_strategy

int OrtROCMProviderOptions::arena_extend_strategy

Strategy used to grow the memory arena 0 = kNextPowerOfTwo
1 = kSameAsRequested
Defaults to 0.

Note
  If a OrtArenaCfg has been applied, it will override this field

## default_memory_arena_cfg

OrtArenaCfg* OrtROCMProviderOptions::default_memory_arena_cfg

ROCM memory arena configuration parameters.

## device_id

int OrtROCMProviderOptions::device_id

ROCM device Id Defaults to 0.

## do_copy_in_default_stream

int OrtROCMProviderOptions::do_copy_in_default_stream

Flag indicating if copying needs to take place on the same stream as the compute stream in the ROCM EP 0 = Use separate streams for copying and compute. 1 = Use the same stream for copying and compute. Defaults to 1. WARNING: Setting this to 0 may result in data races for some models. Please see issue #4829 for more details.

## gpu_mem_limit

size_t OrtROCMProviderOptions::gpu_mem_limit

ROCM memory limit (To use all possible memory pass in maximum size_t) Defaults to SIZE_MAX.

Note
  If a OrtArenaCfg has been applied, it will override this field

## has_user_compute_stream

int OrtROCMProviderOptions::has_user_compute_stream

Flag indicating if there is a user provided compute stream Defaults to 0.

## miopen_conv_exhaustive_search

int OrtROCMProviderOptions::miopen_conv_exhaustive_search

ROCM MIOpen Convolution algorithm exaustive search option. Defaults to 0 (false).

## tunable_op_enabled

int OrtROCMProviderOptions::tunable_op_enabled

Enable TunableOp. Set it to 1 to enable TunableOp. Otherwise, it is disabled by default. This option can be superseded by environment variable ORT_ROCM_TUNABLE_OP_ENABLED.

## user_compute_stream

void* OrtROCMProviderOptions::user_compute_stream

User provided compute stream. If provided, please set `has_user_compute_stream` to 1.